#!/bin/bash

# cd to script dir
cd "$( cd "$( dirname "${BASH_SOURCE[0]}" )" >/dev/null 2>&1 && pwd )"

# activate python venv
VENV=./venv/bin/activate
if [ -f "$VENV" ]; then
    echo "activating virtual env: $VENV"
    source $VENV
else 
    echo "WARNING: unable to get venv, maybe it will still work..."
fi

# set gf2 location
export GF_FOLDER="/net/nas/resources/corpus/gigafida/v2.0/gigafida_dedup/tei/data/"

# run the app
flask run --port=2001 --host=0.0.0.0 --debugger --reload
